Skip to main content
GET
/
sale-item
Retrieve Sale item
curl --request GET \
  --url https://api.nuwebgroup.com/v1/sale-item \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "saleItems",
    "id": 1,
    "attributes": {
      "externalId": null,
      "totalStock": null,
      "currentStock": null,
      "onSaleFrom": null,
      "onSaleUntil": null,
      "validFrom": "2024-03-02T11:00:00.000000Z",
      "validUntil": "2024-03-02T11:15:00.000000Z",
      "priceBandId": null,
      "scanningGracePeriod": 0,
      "minOrderQuantity": 0,
      "maxOrderQuantity": 99,
      "multiplesOf": 0,
      "parentSaleItemId": null,
      "orderColumn": 1,
      "additionalInformation": null,
      "attractsDiscount": false,
      "canBeDownloaded": true,
      "canAccessStream": false,
      "hideWhenOffSale": false,
      "hideWhenOutOfStock": false,
      "hideFromBoxOffice": false,
      "hideFromShop": false,
      "hideFromKiosk": false,
      "currencyId": 1,
      "currencySymbol": "Β£",
      "currencyCode": "GBP",
      "createdAt": "2024-02-21T09:41:25.000000Z",
      "updatedAt": "2024-02-21T09:41:25.000000Z",
      "deletedAt": null
    },
    "relationships": {
      "eventTimeslots": {
        "data": {
          "type": "eventTimeslots",
          "id": 13
        }
      },
      "items": {
        "data": {
          "type": "items",
          "id": 11
        }
      },
      "taxBands": {
        "data": {
          "type": "taxBands",
          "id": 2
        }
      }
    }
  },
  "included": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-CURRENCY-ID
string

Allows overriding the currency for the request. Accepts a currency ID or currency code (e.g. 1 or GBP). When omitted, the company default currency is used.

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

id
integer

The 'id' of the sale item you wish to retrieve.

only
string

A list of attributes that you wish to be returned in the payload. When empty or omitted, all fields will be included by default. Use dot-notation for both top-level resources and child resources, i.e. saleItems.totalStock. Can be used in conjunction with except providing both parameters don't reference the same resource.

except
string

A list of attributes that you wish to exclude from the payload. When empty or omitted, all fields will be included by default. Use dot-notation for both top-level resources and child resources, i.e. saleItems.totalStock. Can be used in conjunction with only providing both parameters don't reference the same resource.

include
enum<string>[]

An array of related resources to include alongside the main sale item resource. At the top level, this can be event, parentSaleItems, taxBands, variants, eventTimeslots and conditionalTaxBands. You can use dot notation to expand sub resrouces, such as conditionalTaxBands.taxBands

Available options:
event,
parentSaleItems,
taxBands,
variants,
eventTimeslots,
conditionalTaxBands,
conditionalTaxBands.taxBands
withTrashed
enum<string>

Controls records returned depending on their deletedAt status. This is a global flag, so will apply to all resources, including relationships such as resources returned under the included attribute.

  • true to include deleted records
  • false to exclude deleted records (or leave blank)

Available options:
true,
false

Response

Successfully retrieved the sale item.

data
object
included
object[]